RowPosition.RowPositionSerializer (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.db

## Class RowPosition.RowPositionSerializer

- java.lang.Object
- - org.apache.cassandra.db.RowPosition.RowPositionSerializer

- All Implemented Interfaces:
    ISerializer<RowPosition>
  Enclosing interface:
    RowPosition

      public static class RowPosition.RowPositionSerializer
      extends java.lang.Object
      implements ISerializer<RowPosition>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RowPosition.RowPositionSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RowPosition` | `deserialize(java.io.DataInput in)` Deserialize from the specified DataInput instance.
    `void` | `serialize(RowPosition pos, DataOutputPlus out)` Serialize the specified type into the specified DataOutput instance.
    `long` | `serializedSize(RowPosition pos, TypeSizes typeSizes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RowPosition.RowPositionSerializer

          public RowPosition.RowPositionSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(RowPosition pos,
                       DataOutputPlus out)
                         throws java.io.IOException

      Description copied from interface: `ISerializer`
      Serialize the specified type into the specified DataOutput instance.
      Specified by:
        `serialize` in interface `ISerializer<RowPosition>`
      Parameters:
        `pos` - type that needs to be serialized
        `out` - DataOutput into which serialization needs to happen.
      Throws:
        `java.io.IOException`

    - #### deserialize

          public RowPosition deserialize(java.io.DataInput in)
                                  throws java.io.IOException

      Description copied from interface: `ISerializer`
      Deserialize from the specified DataInput instance.
      Specified by:
        `deserialize` in interface `ISerializer<RowPosition>`
      Parameters:
        `in` - DataInput from which deserialization needs to happen.
      Returns:
        the type that was deserialized
      Throws:
        `java.io.IOException`

    - #### serializedSize

          public long serializedSize(RowPosition pos,
                            TypeSizes typeSizes)

      Specified by:
        `serializedSize` in interface `ISerializer<RowPosition>`

Copyright © 2014 The Apache Software Foundation